## python-bimmer-connected 0.16.3

=== requirements.txt ===
httpx
pycryptodome>=3.4
pyjwt>=2.1.0
Pillow

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = bimmer_connected
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-bimmer-connected (0.16.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 08:28:06 -0500

python-bimmer-connected (0.16.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1081067)

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Sep 2024 21:32:21 +0200

=== debian/control ===
Source: python-bimmer-connected
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-httpx,
 python3-jwt,
 python3-mypy,
 python3-pbr,
 python3-pil,
 python3-pycryptodome,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-timeout,
 python3-respx,
 python3-time-machine,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-bimmer-connected
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-bimmer-connected.git
Homepage: https://github.com/bimmerconnected/bimmer_connected

Package: python3-bimmer-connected
Architecture: all
Depends:
 python3-httpx,
 python3-jwt,
 python3-pil,
 python3-pycryptodome,
 ${misc:Depends},
 ${python3:Depends},
Description: library to read data from the BMW Connected Drive portal
 This package provides a simple library to query and control the status of cars
 from brands BMW, Mini, or Toyota Supra vehicle from the MyBMW portal.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/bimmerconnected/bimmer_connected.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v --ignore=bimmer_connected/tests/test_remote_services.py

%:
	dh $@ --buildsystem=pybuild --with python3
